Running LC 6.7.11 and LC V8 on the same Mac

Peter Bogdanoff bogdanoff at me.com
Thu May 12 16:10:31 EDT 2016


I’m definitely having an issue.

I’m working on a current project LC 6.1.3.

I opened and tested LC 8.

Now, going back to 6.1.3 I’m finding some IDE functions unresponsive:

Inspector — can’t change what it displays, like choosing “Text Formatting” from the pop-down menu doesn’t update the content of the Inspector. Also, clicking on the black arrow in the Inspector to view the lists of field, group, buttons, etc., lists only IDE controls, not my stack controls.

LiveCode Dictionary — I can search for a term , but clicking on result is unresponsive.

Some other script weirdness that I have not seen before. Quitting and opening a new stack seems OK, but going back to my old stacks shows this bad behavior. Moving the stack to another machine showed the same problem, even though I had not opened the release version of LC8 on it. The stacks seem to have been affected by a cantModify property (I tried turning that off — no luck).

This possibly might not have to do with LC8, but it happened at the same time. I tried deleting the preferences User/Library/Preferences/RunRev — not helpful.

Anything else I can do to reset LC 6.1.3?

Peter Bogdanoff
UCLA



On May 12, 2016, at 12:25 PM, Mike Kerner <MikeKerner at roadrunner.com> wrote:

> Henry,
> One thing to note, though, is that 8 does change the appearance and
> rendering of fonts, so if you are using font icons, you may encounter some
> issues.  You can set the theme of your project stacks in 8 to "legacy", but
> that does not necessarily fix every little thing.  On projects that I have
> moved to 8, I have had to do some tweaking to get things looking the way I
> wanted them to, originally.
> 
> On Thu, May 12, 2016 at 3:22 PM, Mike Kerner <MikeKerner at roadrunner.com>
> wrote:
> 
>> I have several 6's, two 7's, and 8.0.0 running on my machines.  I have not
>> run into any issues, yet.  I usually use the same preferences everywhere,
>> though.
>> 
>> On Thu, May 12, 2016 at 2:22 PM, hlowe <hlowe at me.com> wrote:
>> 
>>> I am currently using LC 6.7.11 (commercial) as my development platform,
>>> running on Mac OS 10.11.4. If I install LC V8 (commercial) on the same
>>> machine will I experience any conflicts between the two versions e.g.
>>> preferences being overwritten, plug-in issues etc? Any advice on steps to
>>> take to avoid conflicts between the two versions would be appreciated.
>>> 
>>> Henry
>>> 
>>> 
>>> 
>>> --
>>> View this message in context:
>>> http://runtime-revolution.278305.n4.nabble.com/Running-LC-6-7-11-and-LC-V8-on-the-same-Mac-tp4704555.html
>>> Sent from the Revolution - User mailing list archive at Nabble.com.
>>> 
>>> _______________________________________________
>>> use-livecode mailing list
>>> use-livecode at lists.runrev.com
>>> Please visit this url to subscribe, unsubscribe and manage your
>>> subscription preferences:
>>> http://lists.runrev.com/mailman/listinfo/use-livecode
>>> 
>> 
>> 
>> 
>> --
>> On the first day, God created the heavens and the Earth
>> On the second day, God created the oceans.
>> On the third day, God put the animals on hold for a few hours,
>>   and did a little diving.
>> And God said, "This is good."
>> 
> 
> 
> 
> -- 
> On the first day, God created the heavens and the Earth
> On the second day, God created the oceans.
> On the third day, God put the animals on hold for a few hours,
>   and did a little diving.
> And God said, "This is good."
> _______________________________________________
> use-livecode mailing list
> use-livecode at lists.runrev.com
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode




More information about the Use-livecode mailing list